package com.example.React_Native_back;

import java.io.File;

import org.jasypt.encryption.pbe.StandardPBEStringEncryptor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;

import jakarta.annotation.PostConstruct;

//@SpringBootApplication(exclude = SecurityAutoConfiguration.class)
@SpringBootApplication
@ComponentScan(basePackages = "com.example.React_Native_back")
public class ReactNativeBackApplication {

	@Value("${file.uploadDir}")
	private String uploadDirectory;

	public static void main(String[] args) {
		SpringApplication.run(ReactNativeBackApplication.class, args);
	}
	
	@PostConstruct
	public void init() {
		File directory = new File(uploadDirectory);
		if (!directory.exists()) {
			directory.mkdirs(); // 디렉터리 생성
		}
	}
	
	void contextLoads() {
	}
	
	void jasypt() {
		String url = "jdbc:oracle:thin:@localhost:1521/XE";
		String username = "moon";
		String password = "1234";
		
		System.out.println(jasyptEncoding(url));
        System.out.println(jasyptEncoding(username));
        System.out.println(jasyptEncoding(password));
	}
	
	public String jasyptEncoding(String value) {

        String key = "encryptKeyTestKey";
        StandardPBEStringEncryptor pbeEnc = new StandardPBEStringEncryptor();
        pbeEnc.setAlgorithm("PBEWithMD5AndDES");
        pbeEnc.setPassword(key);
        return pbeEnc.encrypt(value);
    }
}
