package com.example.React_Native_back.springjwt.controller;

import java.util.Collection;

import java.util.Iterator;

import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api")
public class MainController {

	@GetMapping("/login")
	public String mainP() {
		System.out.println("mainP@@@");
		String name = SecurityContextHolder.getContext().getAuthentication().getName();
		System.out.println("Controller name : " + name);

		Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
		System.out.println("Controller authentication: " + authentication);
		
		Collection<? extends GrantedAuthority> authorities = authentication.getAuthorities();
		Iterator<? extends GrantedAuthority> iter = authorities.iterator();
		GrantedAuthority auth = iter.next();
		String role = auth.getAuthority();
		
        return "Main Controller : " + name + role;
	}
}
