package com.example.React_Native_back.board.repository;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import com.example.React_Native_back.board.dto.BoardDTO;
import com.example.React_Native_back.board.dto.ImageDTO;

@Mapper
@Repository
public interface BoardDAO {
	public List<BoardDTO> getList();
	public int updateAtoB(BoardDTO boardDTO);
	public BoardDTO getDetail(String boardSeq);
	public int saveImage(ImageDTO imageDTO);
	public int getImageId();
}
