package com.example.React_Native_back.board.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.example.React_Native_back.board.dto.BoardDTO;
import com.example.React_Native_back.board.handler.ImageHandler;
import com.example.React_Native_back.board.repository.BoardDAO;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class BoardService {
	private final BoardDAO boardDAO;
	
	public List<BoardDTO> getList(){
		System.out.println("boardDAO :: " + boardDAO);
		return boardDAO.getList();
	}
	
	public int updateAtoB(BoardDTO boardDTO){
		System.out.println("boardDTO Service updateAtoB :: " + boardDTO);
		return boardDAO.updateAtoB(boardDTO);
	}
	
	public BoardDTO getDetail(String boardSeq){
		System.out.println("boardSeq Service getDetail :: " + boardSeq);
		return boardDAO.getDetail(boardSeq);
	}
	
}